Subject: Re: bug#72241: 31.0.50; [PATCH] Use a dedicated buffer for `doc-view-open-text'

From: Manuel Giraud <[email-masked]>
Date: Tue, 23 Jul 2024 10:10:32 +0200

Tassilo Horn <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Tassilo Horn <[email-masked]>
>>> Date: Mon, 22 Jul 2024 20:11:34 +0200
>>> 
>>> I'm not sure if a NEWS entry is needed for that change.  It certainly
>>> changes existing behavior but not in a way that usage patterns/muscle
>>> memory would need to be adapted...
>>
>> Can you tell in what way the behavior will change after this?  I'd
>> like to think whether a NEWS entry is necessary and what to day there.
>
> Right now, when you open foo.pdf you see the images generated from the
> PDF.  When you do C-c C-t, it'll replace the foo.pdf buffer contents
> with the plain text contents of the PDF.  With another C-c C-c, the
> contents are again replaced with the PDF and you see the images again.

FWIW, this is not the current behaviour that I see:

      - C-c C-t replace the buffer contents with the text version
      
      - C-c C-c, DocView switches back to the "edit" view: the raw
        content of a PDF for instance is displayed into the buffer.

      - another C-c C-c, DocView switches to the "display" view where
        you see the images again

Maybe while here, we should clarify how DocView cycles through those 3
view: display, edit and text.  Or maybe, there is no 3-states cycling
and the "text contents" view is just considered a "side" view.  WDYT?
-- 
Manuel Giraud